summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorWaldemar Brodkorb <wbx@openadk.org>2013-11-14 10:03:04 +0100
committerWaldemar Brodkorb <wbx@openadk.org>2013-11-14 10:03:04 +0100
commit7251ad7064f69e01bb5cfc9465ee968b714ac1ef (patch)
treea9274527dacbd2b42331c0296ff9d0a289e4a9a4
parent7b23ed2098a6fa8f2741b6b5b84310fd9bb4f872 (diff)
parent0b3dfd5b3eb3eafb9fc731446e0c840e791c5c27 (diff)
Merge branch 'master' of git+ssh://openadk.org/git/openadk
-rw-r--r--BUGS5
-rw-r--r--README3
-rw-r--r--TODO2
-rw-r--r--scripts/scan-tools.sh12
4 files changed, 12 insertions, 10 deletions
diff --git a/BUGS b/BUGS
index 20f48acdc..e8cfe7fd2 100644
--- a/BUGS
+++ b/BUGS
@@ -1,5 +1,2 @@
-- qemu-sparc with eglibc does not compile
-- qemu-ppc64 does not boot
+- uclibc N64 ABI on mips64{,el} targets does not work, nptl fork problem
- cris foxboard-lx is broken, binutils failure
-- uclibc on lemote mips64 target does not work (only uclibc-trunk with patches)
-- qemu-mips64* targets does not boot, kernel problem?
diff --git a/README b/README
index c46e0a167..7d6b5bb6d 100644
--- a/README
+++ b/README
@@ -15,6 +15,9 @@ Before you can start you need to install some tools:
- patch
- gzip
- bzip2
+- lzop
+- lzma
+- xz
- wget
- libc headers
- ncurses5 headers
diff --git a/TODO b/TODO
index fc457fa92..57ab4fb30 100644
--- a/TODO
+++ b/TODO
@@ -1,3 +1,5 @@
+- use host-tools infrastructure for openjdk7
+- remove openjdk6
- evaluate libguestfs for image creation
- add grsec kernel patch
- check for gcc and SSP again
diff --git a/scripts/scan-tools.sh b/scripts/scan-tools.sh
index 0b7b1d08c..a060d24fc 100644
--- a/scripts/scan-tools.sh
+++ b/scripts/scan-tools.sh
@@ -112,6 +112,12 @@ if ! which gzip >/dev/null 2>&1; then
out=1
fi
+if ! which bzip2 >/dev/null 2>&1; then
+ echo You must install bzip2 to continue.
+ echo
+ out=1
+fi
+
if ! which lzop >/dev/null 2>&1; then
echo You must install lzop to continue.
echo
@@ -130,12 +136,6 @@ if ! which xz >/dev/null 2>&1; then
out=1
fi
-if ! which bzip2 >/dev/null 2>&1; then
- echo You must install bzip2 to continue.
- echo
- out=1
-fi
-
if ! which patch >/dev/null 2>&1; then
echo You must install patch to continue.
echo